> For the complete documentation index, see [llms.txt](https://docs.cherax.vip/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cherax.vip/lua-documentation/api-reference/natives/interior.md).

# INTERIOR

```
Interior GET_INTERIOR_AT_COORDS_WITH_TYPE(float x, float y, float z, string interiorType)
void ACTIVATE_INTERIOR_PROP(Interior interior, string entitySetName)
void DEACTIVATE_INTERIOR_PROP(Interior interior, string entitySetName)
bool IS_INTERIOR_PROP_ACTIVE(Interior interior, string entitySetName)
Interior GET_INTERIOR_FROM_ENTITY(Entity entity)
void REFRESH_INTERIOR(Interior interior)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cherax.vip/lua-documentation/api-reference/natives/interior.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
